net.dontdrinkandroot.wicket.behavior.ajax

## Class KeyEventBehavior.KeyEventResponse

- java.lang.Object
- - net.dontdrinkandroot.wicket.behavior.ajax.KeyEventBehavior.KeyEventResponse

Enclosing class:
  KeyEventBehavior

    public class KeyEventBehavior.KeyEventResponse
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`KeyEventBehavior.KeyEventResponse(int which, int keyCode, int charCode, boolean altKey, boolean ctrlKey, boolean metaKey, boolean shiftKey)`

### Method Summary

Methods
`int` `getCharCode()`
`int` `getKeyCode()`
`int` `getWhich()`
`boolean` `isAltKey()`
`boolean` `isCtrlKey()`
`boolean` `isMetaKey()`
`boolean` `isShiftKey()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyEventBehavior.KeyEventResponse

    public KeyEventBehavior.KeyEventResponse(int which,
                                     int keyCode,
                                     int charCode,
                                     boolean altKey,
                                     boolean ctrlKey,
                                     boolean metaKey,
                                     boolean shiftKey)

### Method Detail

#### getWhich

    public int getWhich()

#### getKeyCode

    public int getKeyCode()

#### getCharCode

    public int getCharCode()

#### isAltKey

    public boolean isAltKey()

#### isCtrlKey

    public boolean isCtrlKey()

#### isMetaKey

    public boolean isMetaKey()

#### isShiftKey

    public boolean isShiftKey()